Bug 191132 - "Time went backwards" on guest console
"Time went backwards" on guest console
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 22:42 EDT by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 23:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2006-05-08 22:42:29 EDT
Description of problem:

Messages appear on the guest console:

Timer ISR/0: Time went backwards: delta=11634587 cpu_delta=-24365413
shadow=35565089595542 off=454469268 processed=35565532429717
cpu_processed=35565568429717
 0: 35565568429717
Timer ISR/0: Time went backwards: delta=13582138 cpu_delta=-14417862
shadow=35565089595542 off=464416801 processed=35565540429717
cpu_processed=35565568429717
 0: 35565568429717
Timer ISR/0: Time went backwards: delta=7590509 cpu_delta=-4409491
shadow=35565089595542 off=514425246 processed=35565596429717
cpu_processed=35565608429717
 0: 35565608429717

Version-Release number of selected component (if applicable):

Linux version 2.6.16-1.2111_FC5xenU (bhcompile@hs20-bc1-5.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 SMP Thu May 4 21:47:01 EDT 2006

How reproducible:

Not often.

Steps to Reproduce:
1. Boot a guest
2. scp a kernel over
  
Actual results:

Messages

Expected results:

No messages

Additional info:

The guest's operation does not seem to be detrimentally affected.

This started with 2.6.16-1.2111_FC5xenU. The kernel 2.6.15-1.2054_FC5xenU
does not seem to exibit this.

The scp is obviously a contributor, but there's something else to it.
The scp was ran from the dom0 to domU, locally.
Comment 1 Orion Poplawski 2006-05-12 18:44:49 EDT
Seen on 2.6.16-1.2111_FC5xen0:

Timer ISR/0: Time went backwards: delta=12511597 cpu_delta=-7488403
shadow=1146005506824 off=279005630 processed=1146272000000
cpu_processed=1146292000000
 0: 1146292000000
 1: 1146232000000
Timer ISR/0: Time went backwards: delta=13015031 cpu_delta=-6984969
shadow=1158005560849 off=59454846 processed=1158052000000
cpu_processed=1158072000000
 0: 1158072000000
 1: 1158016000000
Timer ISR/0: Time went backwards: delta=5019916 cpu_delta=-18980084
shadow=1159005567610 off=259453208 processed=1159260000000
cpu_processed=1159284000000
 0: 1159284000000
 1: 1159216000000
Timer ISR/0: Time went backwards: delta=3025796 cpu_delta=-8974204
shadow=1159005567610 off=269458715 processed=1159272000000
cpu_processed=1159284000000
 0: 1159284000000
 1: 1159272000000
Timer ISR/0: Time went backwards: delta=13015910 cpu_delta=-6984090
shadow=1163005596130 off=339420554 processed=1163332000000
cpu_processed=1163352000000
 0: 1163352000000
 1: 1163316000000
Comment 2 Rik van Riel 2006-10-02 23:35:36 EDT
This bug appears to have been solved upstream, and should no longer be present
in current kernels.  Please reopen if you can somehow reproduce it.

Note You need to log in before you can comment on or make changes to this bug.